Package io.vertx.grpc.reflection.v1

## Class ServerReflectionResponse.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderT>
    - - com.google.protobuf.GeneratedMessage.Builder<ServerReflectionResponse.Builder>
      - - io.vertx.grpc.reflection.v1.ServerReflectionResponse.Builder

- All Implemented Interfaces:
    `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `ServerReflectionResponseOrBuilder`, `Cloneable`
  Enclosing class:
    ServerReflectionResponse

      public static final class ServerReflectionResponse.Builder
      extends com.google.protobuf.GeneratedMessage.Builder<ServerReflectionResponse.Builder>
      implements ServerReflectionResponseOrBuilder

       The message sent by the server to answer ServerReflectionInfo method.

  Protobuf type `grpc.reflection.v1.ServerReflectionResponse`

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ServerReflectionResponse` | `build()` |
    `ServerReflectionResponse` | `buildPartial()` |
    `ServerReflectionResponse.Builder` | `clear()` |
    `ServerReflectionResponse.Builder` | `clearAllExtensionNumbersResponse()` | This message is used to answer all_extension_numbers_of_type requests.
    `ServerReflectionResponse.Builder` | `clearErrorResponse()` | This message is used when an error occurs.
    `ServerReflectionResponse.Builder` | `clearFileDescriptorResponse()` | This message is used to answer file_by_filename, file_containing_symbol, file_containing_extension requests with transitive dependencies.
    `ServerReflectionResponse.Builder` | `clearListServicesResponse()` | This message is used to answer list_services requests.
    `ServerReflectionResponse.Builder` | `clearMessageResponse()` |
    `ServerReflectionResponse.Builder` | `clearOriginalRequest()` | `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`
    `ServerReflectionResponse.Builder` | `clearValidHost()` | `string valid_host = 1;`
    `ExtensionNumberResponse` | `getAllExtensionNumbersResponse()` | This message is used to answer all_extension_numbers_of_type requests.
    `ExtensionNumberResponse.Builder` | `getAllExtensionNumbersResponseBuilder()` | This message is used to answer all_extension_numbers_of_type requests.
    `ExtensionNumberResponseOrBuilder` | `getAllExtensionNumbersResponseOrBuilder()` | This message is used to answer all_extension_numbers_of_type requests.
    `ServerReflectionResponse` | `getDefaultInstanceForType()` |
    `static com.google.protobuf.Descriptors.Descriptor` | `getDescriptor()` |
    `com.google.protobuf.Descriptors.Descriptor` | `getDescriptorForType()` |
    `ErrorResponse` | `getErrorResponse()` | This message is used when an error occurs.
    `ErrorResponse.Builder` | `getErrorResponseBuilder()` | This message is used when an error occurs.
    `ErrorResponseOrBuilder` | `getErrorResponseOrBuilder()` | This message is used when an error occurs.
    `FileDescriptorResponse` | `getFileDescriptorResponse()` | This message is used to answer file_by_filename, file_containing_symbol, file_containing_extension requests with transitive dependencies.
    `FileDescriptorResponse.Builder` | `getFileDescriptorResponseBuilder()` | This message is used to answer file_by_filename, file_containing_symbol, file_containing_extension requests with transitive dependencies.
    `FileDescriptorResponseOrBuilder` | `getFileDescriptorResponseOrBuilder()` | This message is used to answer file_by_filename, file_containing_symbol, file_containing_extension requests with transitive dependencies.
    `ListServiceResponse` | `getListServicesResponse()` | This message is used to answer list_services requests.
    `ListServiceResponse.Builder` | `getListServicesResponseBuilder()` | This message is used to answer list_services requests.
    `ListServiceResponseOrBuilder` | `getListServicesResponseOrBuilder()` | This message is used to answer list_services requests.
    `ServerReflectionResponse.MessageResponseCase` | `getMessageResponseCase()` |
    `ServerReflectionRequest` | `getOriginalRequest()` | `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`
    `ServerReflectionRequest.Builder` | `getOriginalRequestBuilder()` | `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`
    `ServerReflectionRequestOrBuilder` | `getOriginalRequestOrBuilder()` | `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`
    `String` | `getValidHost()` | `string valid_host = 1;`
    `com.google.protobuf.ByteString` | `getValidHostBytes()` | `string valid_host = 1;`
    `boolean` | `hasAllExtensionNumbersResponse()` | This message is used to answer all_extension_numbers_of_type requests.
    `boolean` | `hasErrorResponse()` | This message is used when an error occurs.
    `boolean` | `hasFileDescriptorResponse()` | This message is used to answer file_by_filename, file_containing_symbol, file_containing_extension requests with transitive dependencies.
    `boolean` | `hasListServicesResponse()` | This message is used to answer list_services requests.
    `boolean` | `hasOriginalRequest()` | `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`
    `protected com.google.protobuf.GeneratedMessage.FieldAccessorTable` | `internalGetFieldAccessorTable()` |
    `boolean` | `isInitialized()` |
    `ServerReflectionResponse.Builder` | `mergeAllExtensionNumbersResponse​(ExtensionNumberResponse value)` | This message is used to answer all_extension_numbers_of_type requests.
    `ServerReflectionResponse.Builder` | `mergeErrorResponse​(ErrorResponse value)` | This message is used when an error occurs.
    `ServerReflectionResponse.Builder` | `mergeFileDescriptorResponse​(FileDescriptorResponse value)` | This message is used to answer file_by_filename, file_containing_symbol, file_containing_extension requests with transitive dependencies.
    `ServerReflectionResponse.Builder` | `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)` |
    `ServerReflectionResponse.Builder` | `mergeFrom​(com.google.protobuf.Message other)` |
    `ServerReflectionResponse.Builder` | `mergeFrom​(ServerReflectionResponse other)` |
    `ServerReflectionResponse.Builder` | `mergeListServicesResponse​(ListServiceResponse value)` | This message is used to answer list_services requests.
    `ServerReflectionResponse.Builder` | `mergeOriginalRequest​(ServerReflectionRequest value)` | `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`
    `ServerReflectionResponse.Builder` | `setAllExtensionNumbersResponse​(ExtensionNumberResponse value)` | This message is used to answer all_extension_numbers_of_type requests.
    `ServerReflectionResponse.Builder` | `setAllExtensionNumbersResponse​(ExtensionNumberResponse.Builder builderForValue)` | This message is used to answer all_extension_numbers_of_type requests.
    `ServerReflectionResponse.Builder` | `setErrorResponse​(ErrorResponse value)` | This message is used when an error occurs.
    `ServerReflectionResponse.Builder` | `setErrorResponse​(ErrorResponse.Builder builderForValue)` | This message is used when an error occurs.
    `ServerReflectionResponse.Builder` | `setFileDescriptorResponse​(FileDescriptorResponse value)` | This message is used to answer file_by_filename, file_containing_symbol, file_containing_extension requests with transitive dependencies.
    `ServerReflectionResponse.Builder` | `setFileDescriptorResponse​(FileDescriptorResponse.Builder builderForValue)` | This message is used to answer file_by_filename, file_containing_symbol, file_containing_extension requests with transitive dependencies.
    `ServerReflectionResponse.Builder` | `setListServicesResponse​(ListServiceResponse value)` | This message is used to answer list_services requests.
    `ServerReflectionResponse.Builder` | `setListServicesResponse​(ListServiceResponse.Builder builderForValue)` | This message is used to answer list_services requests.
    `ServerReflectionResponse.Builder` | `setOriginalRequest​(ServerReflectionRequest value)` | `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`
    `ServerReflectionResponse.Builder` | `setOriginalRequest​(ServerReflectionRequest.Builder builderForValue)` | `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`
    `ServerReflectionResponse.Builder` | `setValidHost​(String value)` | `string valid_host = 1;`
    `ServerReflectionResponse.Builder` | `setValidHostBytes​(com.google.protobuf.ByteString value)` | `string valid_host = 1;`

    - ### Methods inherited from class com.google.protobuf.GeneratedMessage.Builder

      `addRepeatedField, clearField, clearOneof, clone, getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, getUnknownFieldSetBuilder, hasField, hasOneof, internalGetMapField, internalGetMapFieldReflection, internalGetMutableMapField, internalGetMutableMapFieldReflection, isClean, markClean, mergeUnknownFields, mergeUnknownLengthDelimitedField, mergeUnknownVarintField, newBuilderForField, onBuilt, onChanged, parseUnknownField, setField, setRepeatedField, setUnknownFields, setUnknownFieldSetBuilder, setUnknownFieldsProto3`

    - ### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

      `findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

    - ### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

      `addAll, addAll, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, newUninitializedMessageException`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.protobuf.Message.Builder

      `mergeDelimitedFrom, mergeDelimitedFrom`

    - ### Methods inherited from interface com.google.protobuf.MessageLite.Builder

      `mergeFrom`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

- - ### Method Detail

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

    - #### internalGetFieldAccessorTable

          protected com.google.protobuf.GeneratedMessage.FieldAccessorTable internalGetFieldAccessorTable()

      Specified by:
        `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessage.Builder<ServerReflectionResponse.Builder>`

    - #### clear

          public ServerReflectionResponse.Builder clear()

      Specified by:
        `clear` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `clear` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `clear` in class `com.google.protobuf.GeneratedMessage.Builder<ServerReflectionResponse.Builder>`

    - #### getDescriptorForType

          public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
      Overrides:
        `getDescriptorForType` in class `com.google.protobuf.GeneratedMessage.Builder<ServerReflectionResponse.Builder>`

    - #### getDefaultInstanceForType

          public ServerReflectionResponse getDefaultInstanceForType()

      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Specified by:
        `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

    - #### build

          public ServerReflectionResponse build()

      Specified by:
        `build` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `build` in interface `com.google.protobuf.MessageLite.Builder`

    - #### buildPartial

          public ServerReflectionResponse buildPartial()

      Specified by:
        `buildPartial` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

    - #### mergeFrom

          public ServerReflectionResponse.Builder mergeFrom​(com.google.protobuf.Message other)

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ServerReflectionResponse.Builder>`

    - #### mergeFrom

          public ServerReflectionResponse.Builder mergeFrom​(ServerReflectionResponse other)

    - #### isInitialized

          public final boolean isInitialized()

      Specified by:
        `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
      Overrides:
        `isInitialized` in class `com.google.protobuf.GeneratedMessage.Builder<ServerReflectionResponse.Builder>`

    - #### mergeFrom

          public ServerReflectionResponse.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                     throws IOException

      Specified by:
        `mergeFrom` in interface `com.google.protobuf.Message.Builder`
      Specified by:
        `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
      Overrides:
        `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<ServerReflectionResponse.Builder>`
      Throws:
        `IOException`

    - #### getMessageResponseCase

          public ServerReflectionResponse.MessageResponseCase getMessageResponseCase()

      Specified by:
        `getMessageResponseCase` in interface `ServerReflectionResponseOrBuilder`

    - #### clearMessageResponse

          public ServerReflectionResponse.Builder clearMessageResponse()

    - #### getValidHost

          public String getValidHost()

      `string valid_host = 1;`
      Specified by:
        `getValidHost` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        The validHost.

    - #### getValidHostBytes

          public com.google.protobuf.ByteString getValidHostBytes()

      `string valid_host = 1;`
      Specified by:
        `getValidHostBytes` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        The bytes for validHost.

    - #### setValidHost

          public ServerReflectionResponse.Builder setValidHost​(String value)

      `string valid_host = 1;`
      Parameters:
        `value` - The validHost to set.
      Returns:
        This builder for chaining.

    - #### clearValidHost

          public ServerReflectionResponse.Builder clearValidHost()

      `string valid_host = 1;`
      Returns:
        This builder for chaining.

    - #### setValidHostBytes

          public ServerReflectionResponse.Builder setValidHostBytes​(com.google.protobuf.ByteString value)

      `string valid_host = 1;`
      Parameters:
        `value` - The bytes for validHost to set.
      Returns:
        This builder for chaining.

    - #### hasOriginalRequest

          public boolean hasOriginalRequest()

      `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`
      Specified by:
        `hasOriginalRequest` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        Whether the originalRequest field is set.

    - #### getOriginalRequest

          public ServerReflectionRequest getOriginalRequest()

      `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`
      Specified by:
        `getOriginalRequest` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        The originalRequest.

    - #### setOriginalRequest

          public ServerReflectionResponse.Builder setOriginalRequest​(ServerReflectionRequest value)

      `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`

    - #### setOriginalRequest

          public ServerReflectionResponse.Builder setOriginalRequest​(ServerReflectionRequest.Builder builderForValue)

      `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`

    - #### mergeOriginalRequest

          public ServerReflectionResponse.Builder mergeOriginalRequest​(ServerReflectionRequest value)

      `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`

    - #### clearOriginalRequest

          public ServerReflectionResponse.Builder clearOriginalRequest()

      `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`

    - #### getOriginalRequestBuilder

          public ServerReflectionRequest.Builder getOriginalRequestBuilder()

      `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`

    - #### getOriginalRequestOrBuilder

          public ServerReflectionRequestOrBuilder getOriginalRequestOrBuilder()

      `.grpc.reflection.v1.ServerReflectionRequest original_request = 2;`
      Specified by:
        `getOriginalRequestOrBuilder` in interface `ServerReflectionResponseOrBuilder`

    - #### hasFileDescriptorResponse

          public boolean hasFileDescriptorResponse()

           This message is used to answer file_by_filename, file_containing_symbol,
           file_containing_extension requests with transitive dependencies.
           As the repeated label is not allowed in oneof fields, we use a
           FileDescriptorResponse message to encapsulate the repeated fields.
           The reflection service is allowed to avoid sending FileDescriptorProtos
           that were previously sent in response to earlier requests in the stream.

      `.grpc.reflection.v1.FileDescriptorResponse file_descriptor_response = 4;`
      Specified by:
        `hasFileDescriptorResponse` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        Whether the fileDescriptorResponse field is set.

    - #### getFileDescriptorResponse

          public FileDescriptorResponse getFileDescriptorResponse()

           This message is used to answer file_by_filename, file_containing_symbol,
           file_containing_extension requests with transitive dependencies.
           As the repeated label is not allowed in oneof fields, we use a
           FileDescriptorResponse message to encapsulate the repeated fields.
           The reflection service is allowed to avoid sending FileDescriptorProtos
           that were previously sent in response to earlier requests in the stream.

      `.grpc.reflection.v1.FileDescriptorResponse file_descriptor_response = 4;`
      Specified by:
        `getFileDescriptorResponse` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        The fileDescriptorResponse.

    - #### setFileDescriptorResponse

          public ServerReflectionResponse.Builder setFileDescriptorResponse​(FileDescriptorResponse value)

           This message is used to answer file_by_filename, file_containing_symbol,
           file_containing_extension requests with transitive dependencies.
           As the repeated label is not allowed in oneof fields, we use a
           FileDescriptorResponse message to encapsulate the repeated fields.
           The reflection service is allowed to avoid sending FileDescriptorProtos
           that were previously sent in response to earlier requests in the stream.

      `.grpc.reflection.v1.FileDescriptorResponse file_descriptor_response = 4;`

    - #### setFileDescriptorResponse

          public ServerReflectionResponse.Builder setFileDescriptorResponse​(FileDescriptorResponse.Builder builderForValue)

           This message is used to answer file_by_filename, file_containing_symbol,
           file_containing_extension requests with transitive dependencies.
           As the repeated label is not allowed in oneof fields, we use a
           FileDescriptorResponse message to encapsulate the repeated fields.
           The reflection service is allowed to avoid sending FileDescriptorProtos
           that were previously sent in response to earlier requests in the stream.

      `.grpc.reflection.v1.FileDescriptorResponse file_descriptor_response = 4;`

    - #### mergeFileDescriptorResponse

          public ServerReflectionResponse.Builder mergeFileDescriptorResponse​(FileDescriptorResponse value)

           This message is used to answer file_by_filename, file_containing_symbol,
           file_containing_extension requests with transitive dependencies.
           As the repeated label is not allowed in oneof fields, we use a
           FileDescriptorResponse message to encapsulate the repeated fields.
           The reflection service is allowed to avoid sending FileDescriptorProtos
           that were previously sent in response to earlier requests in the stream.

      `.grpc.reflection.v1.FileDescriptorResponse file_descriptor_response = 4;`

    - #### clearFileDescriptorResponse

          public ServerReflectionResponse.Builder clearFileDescriptorResponse()

           This message is used to answer file_by_filename, file_containing_symbol,
           file_containing_extension requests with transitive dependencies.
           As the repeated label is not allowed in oneof fields, we use a
           FileDescriptorResponse message to encapsulate the repeated fields.
           The reflection service is allowed to avoid sending FileDescriptorProtos
           that were previously sent in response to earlier requests in the stream.

      `.grpc.reflection.v1.FileDescriptorResponse file_descriptor_response = 4;`

    - #### getFileDescriptorResponseBuilder

          public FileDescriptorResponse.Builder getFileDescriptorResponseBuilder()

           This message is used to answer file_by_filename, file_containing_symbol,
           file_containing_extension requests with transitive dependencies.
           As the repeated label is not allowed in oneof fields, we use a
           FileDescriptorResponse message to encapsulate the repeated fields.
           The reflection service is allowed to avoid sending FileDescriptorProtos
           that were previously sent in response to earlier requests in the stream.

      `.grpc.reflection.v1.FileDescriptorResponse file_descriptor_response = 4;`

    - #### getFileDescriptorResponseOrBuilder

          public FileDescriptorResponseOrBuilder getFileDescriptorResponseOrBuilder()

           This message is used to answer file_by_filename, file_containing_symbol,
           file_containing_extension requests with transitive dependencies.
           As the repeated label is not allowed in oneof fields, we use a
           FileDescriptorResponse message to encapsulate the repeated fields.
           The reflection service is allowed to avoid sending FileDescriptorProtos
           that were previously sent in response to earlier requests in the stream.

      `.grpc.reflection.v1.FileDescriptorResponse file_descriptor_response = 4;`
      Specified by:
        `getFileDescriptorResponseOrBuilder` in interface `ServerReflectionResponseOrBuilder`

    - #### hasAllExtensionNumbersResponse

          public boolean hasAllExtensionNumbersResponse()

           This message is used to answer all_extension_numbers_of_type requests.

      `.grpc.reflection.v1.ExtensionNumberResponse all_extension_numbers_response = 5;`
      Specified by:
        `hasAllExtensionNumbersResponse` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        Whether the allExtensionNumbersResponse field is set.

    - #### getAllExtensionNumbersResponse

          public ExtensionNumberResponse getAllExtensionNumbersResponse()

           This message is used to answer all_extension_numbers_of_type requests.

      `.grpc.reflection.v1.ExtensionNumberResponse all_extension_numbers_response = 5;`
      Specified by:
        `getAllExtensionNumbersResponse` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        The allExtensionNumbersResponse.

    - #### setAllExtensionNumbersResponse

          public ServerReflectionResponse.Builder setAllExtensionNumbersResponse​(ExtensionNumberResponse value)

           This message is used to answer all_extension_numbers_of_type requests.

      `.grpc.reflection.v1.ExtensionNumberResponse all_extension_numbers_response = 5;`

    - #### setAllExtensionNumbersResponse

          public ServerReflectionResponse.Builder setAllExtensionNumbersResponse​(ExtensionNumberResponse.Builder builderForValue)

           This message is used to answer all_extension_numbers_of_type requests.

      `.grpc.reflection.v1.ExtensionNumberResponse all_extension_numbers_response = 5;`

    - #### mergeAllExtensionNumbersResponse

          public ServerReflectionResponse.Builder mergeAllExtensionNumbersResponse​(ExtensionNumberResponse value)

           This message is used to answer all_extension_numbers_of_type requests.

      `.grpc.reflection.v1.ExtensionNumberResponse all_extension_numbers_response = 5;`

    - #### clearAllExtensionNumbersResponse

          public ServerReflectionResponse.Builder clearAllExtensionNumbersResponse()

           This message is used to answer all_extension_numbers_of_type requests.

      `.grpc.reflection.v1.ExtensionNumberResponse all_extension_numbers_response = 5;`

    - #### getAllExtensionNumbersResponseBuilder

          public ExtensionNumberResponse.Builder getAllExtensionNumbersResponseBuilder()

           This message is used to answer all_extension_numbers_of_type requests.

      `.grpc.reflection.v1.ExtensionNumberResponse all_extension_numbers_response = 5;`

    - #### getAllExtensionNumbersResponseOrBuilder

          public ExtensionNumberResponseOrBuilder getAllExtensionNumbersResponseOrBuilder()

           This message is used to answer all_extension_numbers_of_type requests.

      `.grpc.reflection.v1.ExtensionNumberResponse all_extension_numbers_response = 5;`
      Specified by:
        `getAllExtensionNumbersResponseOrBuilder` in interface `ServerReflectionResponseOrBuilder`

    - #### hasListServicesResponse

          public boolean hasListServicesResponse()

           This message is used to answer list_services requests.

      `.grpc.reflection.v1.ListServiceResponse list_services_response = 6;`
      Specified by:
        `hasListServicesResponse` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        Whether the listServicesResponse field is set.

    - #### getListServicesResponse

          public ListServiceResponse getListServicesResponse()

           This message is used to answer list_services requests.

      `.grpc.reflection.v1.ListServiceResponse list_services_response = 6;`
      Specified by:
        `getListServicesResponse` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        The listServicesResponse.

    - #### setListServicesResponse

          public ServerReflectionResponse.Builder setListServicesResponse​(ListServiceResponse value)

           This message is used to answer list_services requests.

      `.grpc.reflection.v1.ListServiceResponse list_services_response = 6;`

    - #### setListServicesResponse

          public ServerReflectionResponse.Builder setListServicesResponse​(ListServiceResponse.Builder builderForValue)

           This message is used to answer list_services requests.

      `.grpc.reflection.v1.ListServiceResponse list_services_response = 6;`

    - #### mergeListServicesResponse

          public ServerReflectionResponse.Builder mergeListServicesResponse​(ListServiceResponse value)

           This message is used to answer list_services requests.

      `.grpc.reflection.v1.ListServiceResponse list_services_response = 6;`

    - #### clearListServicesResponse

          public ServerReflectionResponse.Builder clearListServicesResponse()

           This message is used to answer list_services requests.

      `.grpc.reflection.v1.ListServiceResponse list_services_response = 6;`

    - #### getListServicesResponseBuilder

          public ListServiceResponse.Builder getListServicesResponseBuilder()

           This message is used to answer list_services requests.

      `.grpc.reflection.v1.ListServiceResponse list_services_response = 6;`

    - #### getListServicesResponseOrBuilder

          public ListServiceResponseOrBuilder getListServicesResponseOrBuilder()

           This message is used to answer list_services requests.

      `.grpc.reflection.v1.ListServiceResponse list_services_response = 6;`
      Specified by:
        `getListServicesResponseOrBuilder` in interface `ServerReflectionResponseOrBuilder`

    - #### hasErrorResponse

          public boolean hasErrorResponse()

           This message is used when an error occurs.

      `.grpc.reflection.v1.ErrorResponse error_response = 7;`
      Specified by:
        `hasErrorResponse` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        Whether the errorResponse field is set.

    - #### getErrorResponse

          public ErrorResponse getErrorResponse()

           This message is used when an error occurs.

      `.grpc.reflection.v1.ErrorResponse error_response = 7;`
      Specified by:
        `getErrorResponse` in interface `ServerReflectionResponseOrBuilder`
      Returns:
        The errorResponse.

    - #### setErrorResponse

          public ServerReflectionResponse.Builder setErrorResponse​(ErrorResponse value)

           This message is used when an error occurs.

      `.grpc.reflection.v1.ErrorResponse error_response = 7;`

    - #### setErrorResponse

          public ServerReflectionResponse.Builder setErrorResponse​(ErrorResponse.Builder builderForValue)

           This message is used when an error occurs.

      `.grpc.reflection.v1.ErrorResponse error_response = 7;`

    - #### mergeErrorResponse

          public ServerReflectionResponse.Builder mergeErrorResponse​(ErrorResponse value)

           This message is used when an error occurs.

      `.grpc.reflection.v1.ErrorResponse error_response = 7;`

    - #### clearErrorResponse

          public ServerReflectionResponse.Builder clearErrorResponse()

           This message is used when an error occurs.

      `.grpc.reflection.v1.ErrorResponse error_response = 7;`

    - #### getErrorResponseBuilder

          public ErrorResponse.Builder getErrorResponseBuilder()

           This message is used when an error occurs.

      `.grpc.reflection.v1.ErrorResponse error_response = 7;`

    - #### getErrorResponseOrBuilder

          public ErrorResponseOrBuilder getErrorResponseOrBuilder()

           This message is used when an error occurs.

      `.grpc.reflection.v1.ErrorResponse error_response = 7;`
      Specified by:
        `getErrorResponseOrBuilder` in interface `ServerReflectionResponseOrBuilder`